<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    *ngIf="objFunction.import"
    (click)="doImportData()"
    mbButtonText="{{'common.upload.upload' | translate}}"
  >
  </mb-button>
</div>


<div class="content__item content__item--border bg__content--default" (keyup.Enter)="search(1)">
  <search-form #searchForm [moduleName]='MODULENAME' (submitEvent)='search(1)' (isDataSelectReadyEvent)="onDataSelectReady($event)" [functionCode]="functionCode" ></search-form>

  <div nz-row class="btn__row">
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>

    <div nz-col [nzLg]="{span: 12}" nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="search(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
  </div>
</div>


<div class="search__result">
  <mb-table-wrap>
    <mb-table (onDblClickNode)='onClickItem($event)'
              (changePageNum)='search($event)'
              [tableConfig]='tableConfig' [tableData]='searchResult'></mb-table>
  </mb-table-wrap>
</div>

<app-import-common [showContent]='isImportData'
                   [showAttachFile]="false"
                   (onCloseModal)="doCloseImport()"
                   [urlApiDownloadTemp]='urlApiDownloadTemp'
                   [urlApiImport]='urlApiImport'>
</app-import-common>

<ng-template #empStatusTmpl let-empStatus='status'>
  <ng-container *ngFor="let item of constant.STATUS_EMP">
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}"
            *ngIf="empStatus.toString() === item.value">{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #actionTmpl let-managerProcessId='managerProcessId'>
  <div class="btnWrap">
    <mb-button class ="btn__edit" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
               (click)='onOpenEdit(managerProcessId)'
               nz-tooltip nzTooltipTitle="{{'staffManager.staffResearch.manager.table.edit' | translate}}"></mb-button>
    <mb-button
      (nzOnConfirm)="deleteManagerProcess(managerProcessId)"
      nz-popconfirm
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      nzPopconfirmTitle="{{'staffManager.table.action.confirmDelete' | translate}}"
      nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
      nzOkType="primary"
      nzOkText="{{'staffManager.table.action.yes' | translate}}"
      nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"
    ></mb-button>
  </div>
</ng-template>
